{{- if $.Values.keycloakEnableIngress }}
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: keycloak-ingress
  namespace: {{ .Release.Namespace }}
spec:
  entryPoints:
    - websecure
  routes:
    - match: Host(`keycloak.{{ .Release.Namespace }}.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
      kind: Rule
      middlewares:
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      services:
        - name: keycloak-service
          port: 8080
  tls:
    certResolver: ourcertresolver
{{- end }}